
#include "testlib.h"

#include <cstring>
#include <string>
#include <vector>

using namespace std;

const int maxN = 20, maxK = 20;

int main (int, char *[]) {
  int n, k;
  registerValidation();
  n = inf.readInt(1, maxN);
  inf.readSpace();
  k = inf.readInt(1, maxK);
  inf.readEoln();
  while (--n >= 0) {
    string s = inf.readLine ("[WB]{1,100}");
  }
  inf.readEof();
  return 0;
}
